Assignee:

Category: GRASS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12637

Description

It would be good to have a variable number of input maps for r.mapcalculator GRASS module. See r.buffer as an example (this approach

cannot be used directly, as the underlying GRASS commands are different).

History

#1 - 2010-03-21 11:43 AM - Markus Neteler

The reason for the different behaviour is that the command style is different:

 r.mapcalculator [-eo] [amap=string] [bmap=string] [cmap=string]

   [dmap=string] [emap=string] [fmap=string] formula=string

   outfile=string ...

but

r.buffer [-zq] input=name output=name distances=value[,value,...] ...

The distances parameter is a 1..n list while in r.mapcalculator the

parameters are separate.

Suggestion: modify r.mapcalculator in QGIS to require input=string[,string,...] 

since this cannot be changed in the GRASS 6 series for compatibility.

#2 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2011-12-23 09:32 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Assignee deleted (Lorenzo Masini)

#4 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
#7 - 2018-02-24 04:04 PM - Paolo Cavallini

Unchanged in QGIS 3
